Skip to content

Query subjects that the current actor may assign to one Entity responsibility.

POST
/api/workspace/entity/{entityIdOrKey}/instances/{instanceId}/responsibilities/{responsibilityKey}/eligible-targets/query
curl --request POST \
--url https://example.com/api/workspace/entity/example/instances/example/responsibilities/example/eligible-targets/query \
--header 'Content-Type: application/json' \
--data '{ "Resource": { "ResourceModule": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "ResponsibilityKey": "example", "Action": "example", "Search": "example", "Cursor": "example", "PageSize": 1 }'
  • None
entityIdOrKey
required
string
instanceId
required
string
responsibilityKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Queries eligible responsibility targets.

object
Resource

Identifies one runtime resource.

object
ResourceModule
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
ResponsibilityKey
string
nullable
Action
string
nullable
Search
string
nullable
Cursor
string
nullable
PageSize
integer format: int32
Examplegenerated
{
"Resource": {
"ResourceModule": "example",
"ResourceKind": "example",
"ContextResourceId": "example",
"ResourceObjectId": "example"
},
"ResponsibilityKey": "example",
"Action": "example",
"Search": "example",
"Cursor": "example",
"PageSize": 1
}

OK

Media typeapplication/json
object
Data

Returns one page of eligible responsibility targets.

object
Items
Array<object>
nullable

Describes one eligible responsibility target.

object
SubjectType
string
nullable
SubjectId
string
nullable
Display
string
nullable
Eligible
boolean
ReasonCodes
Array<string>
nullable
NextCursor
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Returns one page of eligible responsibility targets.

object
Items
Array<object>
nullable

Describes one eligible responsibility target.

object
SubjectType
string
nullable
SubjectId
string
nullable
Display
string
nullable
Eligible
boolean
ReasonCodes
Array<string>
nullable
NextCursor
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Unauthorized

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Returns one page of eligible responsibility targets.

object
Items
Array<object>
nullable

Describes one eligible responsibility target.

object
SubjectType
string
nullable
SubjectId
string
nullable
Display
string
nullable
Eligible
boolean
ReasonCodes
Array<string>
nullable
NextCursor
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Returns one page of eligible responsibility targets.

object
Items
Array<object>
nullable

Describes one eligible responsibility target.

object
SubjectType
string
nullable
SubjectId
string
nullable
Display
string
nullable
Eligible
boolean
ReasonCodes
Array<string>
nullable
NextCursor
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}